require 'display/calendar'

module Ruboty
  module Calendar
    module Actions
      class Calendar < Ruboty::Actions::Base
        def call
          message.reply(cal)
        end

        private
        def cal
          Display::Calendar.new.calendar(get_month_now,get_year_now)
        end

        def get_month_now
          return Time.now.month
        end

        def get_year_now
          return Time.now.year
        end
      end
    end
  end
end
